Package com.macrofocus.high_d.parallelcoordinates

# Class AbstractParallelCoordinates<Component,Color,R,C>

java.lang.Object
com.macrofocus.high_d.parallelcoordinates.AbstractParallelCoordinates<Component,Color,R,C>

All Implemented Interfaces:
  `com.macrofocus.crossplatform.CPComponent<Component>`, `ParallelCoordinates<Component,Color,R,C>`

Direct Known Subclasses:
  `JavaFXParallelCoordinates`

public abstract class AbstractParallelCoordinates<Component,Color,R,C> extends Object implements ParallelCoordinates<Component,Color,R,C>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected ParallelCoordinatesController`
  `controller`
  `protected static LicenseModel`
  `licenseModel`
  `protected ParallelCoordinatesView<Component,Color,R,C>`
  `view`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractParallelCoordinates()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected abstract ParallelCoordinatesController`
  `createController(ParallelCoordinatesView view)`
  Creates a controller that can be used by the parallel coordinates component
  `protected abstract ParallelCoordinatesModel<Color,R,C>`
  `createModel(com.macrofocus.molap.dataframe.DataFrame dataFrame)`
  Creates a model that can be used by the parallel coordinates component
  `protected abstract ParallelCoordinatesView<Component,Color,R,C>`
  `createView()`
  Creates a view that can be used by the parallel coordinates component
  `ParallelCoordinatesController`
  `getController()`
  Returns the controller used by the parallel coordinates component.
  `ParallelCoordinatesModel<Color,R,C>`
  `getModel()`
  Returns the model used by the parallel coordinates component.
  `ParallelCoordinatesView<Component,Color,R,C>`
  `getView()`
  Returns the view used by the parallel coordinates component.
  `protected void`
  `load(com.macrofocus.molap.dataframe.DataFrame dataFrame)`
  Loads the specified data frame.
  `void`
  `setController(ParallelCoordinatesController controller)`
  Sets the controller to be used by the parallel coordinates component and register the view currently in use.
  `static void`
  `setLicenseKey(String username, String key)`
  Register the license key that legally entitle the use of ParallelCoordinates.
  `void`
  `setModel(ParallelCoordinatesModel<Color,R,C> model)`
  Sets the model to be used for the parallel coordinates component and register it to the view.
  `void`
  `setView(ParallelCoordinatesView<Component,Color,R,C> view)`
  Sets the view to be used by the parallel coordinates component and register the model currently in use.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.macrofocus.crossplatform.CPComponent

  `setStyleClass`

  ### Methods inherited from interface com.macrofocus.high_d.parallelcoordinates.ParallelCoordinates

  `getNativeComponent`

- ## Field Details

  - ### licenseModel

    protected static LicenseModel licenseModel

  - ### view

    protected ParallelCoordinatesView<Component,Color,R,C> view

  - ### controller

    protected ParallelCoordinatesController controller

- ## Constructor Details

  - ### AbstractParallelCoordinates

    public AbstractParallelCoordinates()

- ## Method Details

  - ### setLicenseKey

    public static void setLicenseKey(String username, String key)
    Register the license key that legally entitle the use of ParallelCoordinates. This should be called prior to the first instantiation of this component.
    Parameters:
      `username` - the user name
      `key` - the license key

  - ### load

    protected void load(com.macrofocus.molap.dataframe.DataFrame dataFrame)
    Loads the specified data frame.
    Parameters:
      `dataFrame` - a data frame

  - ### getModel

    public ParallelCoordinatesModel<Color,R,C> getModel()
    Description copied from interface: `ParallelCoordinates`
    Returns the model used by the parallel coordinates component.
    Specified by:
      `getModel` in interface `ParallelCoordinates<Component,Color,R,C>`
    Returns:
      the model in use

  - ### setModel

    public void setModel(ParallelCoordinatesModel<Color,R,C> model)
    Description copied from interface: `ParallelCoordinates`
    Sets the model to be used for the parallel coordinates component and register it to the view.
    Specified by:
      `setModel` in interface `ParallelCoordinates<Component,Color,R,C>`
    Parameters:
      `model` - the model to be used

  - ### getView

    public ParallelCoordinatesView<Component,Color,R,C> getView()
    Description copied from interface: `ParallelCoordinates`
    Returns the view used by the parallel coordinates component.
    Specified by:
      `getView` in interface `ParallelCoordinates<Component,Color,R,C>`
    Returns:
      the view in use

  - ### setView

    public void setView(ParallelCoordinatesView<Component,Color,R,C> view)
    Description copied from interface: `ParallelCoordinates`
    Sets the view to be used by the parallel coordinates component and register the model currently in use. It will also register itself to the controller.
    Specified by:
      `setView` in interface `ParallelCoordinates<Component,Color,R,C>`
    Parameters:
      `view` - the view to be used

  - ### getController

    public ParallelCoordinatesController getController()
    Description copied from interface: `ParallelCoordinates`
    Returns the controller used by the parallel coordinates component.
    Specified by:
      `getController` in interface `ParallelCoordinates<Component,Color,R,C>`
    Returns:
      the controller in use

  - ### setController

    public void setController(ParallelCoordinatesController controller)
    Description copied from interface: `ParallelCoordinates`
    Sets the controller to be used by the parallel coordinates component and register the view currently in use.
    Specified by:
      `setController` in interface `ParallelCoordinates<Component,Color,R,C>`
    Parameters:
      `controller` - the controller in use

  - ### createModel

    protected abstract ParallelCoordinatesModel<Color,R,C> createModel(com.macrofocus.molap.dataframe.DataFrame dataFrame)
    Creates a model that can be used by the parallel coordinates component
    Parameters:
      `dataFrame` - a Swing TableModel
    Returns:
      a ParallelCoordinatesModel instance

  - ### createView

    protected abstract ParallelCoordinatesView<Component,Color,R,C> createView()
    Creates a view that can be used by the parallel coordinates component
    Returns:
      a ParallelCoordinatesView instance

  - ### createController

    protected abstract ParallelCoordinatesController createController(ParallelCoordinatesView view)
    Creates a controller that can be used by the parallel coordinates component
    Parameters:
      `view` - the view that should be controlled
    Returns:
      a ParallelCoordinatesController instance